Bug 525592 - lohit-hindi-fonts, etc should not obsolete itself
lohit-hindi-fonts, etc should not obsolete itself
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lohit-hindi-fonts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2009-09-24 20:43 EDT by Jens Petersen
Modified: 2009-09-29 01:00 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-29 01:00:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-09-24 20:43:51 EDT
Description of problem:
When I yum updated rawhide today I see that some new
lohit fonts package are obsoleting themselves.
This seems wrong: no reason to do this IMHO
as there is no name change.

Please drop the self-obsoletes.

Version-Release number of selected component (if applicable):
lohit-hindi-fonts-2.4.3-1.fc12

Steps to Reproduce:
1. install lohit-hindi-fonts-2.4.2-1.fc12 in rawhide
2. yum update
  
Actual results:
yum says installing lohit-hindi-fonts-2.4.3-1.fc12 replacing
lohit-hindi-fonts-2.4.2-1.fc12

Expected results:
It should just be a normal transparent update with no
visible change of package to users.

Additional info:
I assume similar problem for all the other lohit-*-fonts.

The source url is also wrong:
http://pravins.fedorapeople.org/lohit/gujarati/%{fontname}-%{version}.tar.gz
                                      ^^^^^^^^
Please take care.

Are you going to move the packages back to fedorahosted too?
Comment 1 Pravin Satpute 2009-09-25 00:18:54 EDT
yes, i have started moving source package to fedorahosted.org, i moved recent version of malayala, tamil, tegulu and kannada 2.4.4, to fedorahosted

so now only obsolute will be only lohit-fonts-common
Comment 2 Pravin Satpute 2009-09-29 01:00:48 EDT
built corresponding packages for rawhide
thanks for notifying same :)

Note You need to log in before you can comment on or make changes to this bug.